﻿using System;
using System.Windows;
using Syncfusion.Windows.Diagram;

namespace CustomSymbols.Symbols
{
    public class BaseNode : Node
    {

        public BaseNode()
        {
            this.CustomId = Guid.NewGuid();
        }

        public virtual void ResizeNode(double height, double width)
        {
            
        }

        public Guid CustomId
        {
            get { return (Guid)GetValue(CustomIdProperty); }
            set { SetValue(CustomIdProperty, value); }
        }

        public static readonly DependencyProperty CustomIdProperty =
            DependencyProperty.Register("CustomId", typeof(Guid), typeof(BaseNode), new PropertyMetadata(new Guid()));
    }
}
